### YamlMime:ManagedReference
items:
- uid: adas_core.Domain.Models.MongoModels.PointOfCareConfiguration
  commentId: T:adas_core.Domain.Models.MongoModels.PointOfCareConfiguration
  id: PointOfCareConfiguration
  parent: adas_core.Domain.Models.MongoModels
  children:
  - adas_core.Domain.Models.MongoModels.PointOfCareConfiguration.BeaconIdList
  - adas_core.Domain.Models.MongoModels.PointOfCareConfiguration.BeaconList
  - adas_core.Domain.Models.MongoModels.PointOfCareConfiguration.CameraIdList
  - adas_core.Domain.Models.MongoModels.PointOfCareConfiguration.CameraList
  - adas_core.Domain.Models.MongoModels.PointOfCareConfiguration.Id
  - adas_core.Domain.Models.MongoModels.PointOfCareConfiguration.RelayIdList
  - adas_core.Domain.Models.MongoModels.PointOfCareConfiguration.RelayList
  - adas_core.Domain.Models.MongoModels.PointOfCareConfiguration.Type
  langs:
  - csharp
  - vb
  name: PointOfCareConfiguration
  nameWithType: PointOfCareConfiguration
  fullName: adas_core.Domain.Models.MongoModels.PointOfCareConfiguration
  type: Class
  source:
    remote:
      path: adas-core.Domain/Models/MongoModels/PointOfCare.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: PointOfCareConfiguration
    path: ../../adas-core.Domain/Models/MongoModels/PointOfCare.cs
    startLine: 41
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.MongoModels
  summary: Represents the configuration settings for a point-of-care system, encapsulating the parameters and options required to manage its behavior.
  example: []
  syntax:
    content: public class PointOfCareConfiguration
    content.vb: Public Class PointOfCareConfiguration
  inheritance:
  - System.Object
  inheritedMembers:
  - System.Object.Equals(System.Object)
  - System.Object.Equals(System.Object,System.Object)
  - System.Object.GetHashCode
  - System.Object.GetType
  - System.Object.MemberwiseClone
  - System.Object.ReferenceEquals(System.Object,System.Object)
  - System.Object.ToString
  extensionMethods:
  - System.Object.adas_core.Domain.Utils.NumberUtils.IsNumber
  - System.Object.adas_core.Domain.Utils.NumberUtils.ToDouble
  - System.Object.adas_core.Domain.Utils.ObjectUtils.ToStr
- uid: adas_core.Domain.Models.MongoModels.PointOfCareConfiguration.BeaconIdList
  commentId: P:adas_core.Domain.Models.MongoModels.PointOfCareConfiguration.BeaconIdList
  id: BeaconIdList
  parent: adas_core.Domain.Models.MongoModels.PointOfCareConfiguration
  langs:
  - csharp
  - vb
  name: BeaconIdList
  nameWithType: PointOfCareConfiguration.BeaconIdList
  fullName: adas_core.Domain.Models.MongoModels.PointOfCareConfiguration.BeaconIdList
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/MongoModels/PointOfCare.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: BeaconIdList
    path: ../../adas-core.Domain/Models/MongoModels/PointOfCare.cs
    startLine: 43
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.MongoModels
  syntax:
    content: public List<ObjectId>? BeaconIdList { get; set; }
    parameters: []
    return:
      type: System.Collections.Generic.List{MongoDB.Bson.ObjectId}
    content.vb: Public Property BeaconIdList As List(Of ObjectId)
  overload: adas_core.Domain.Models.MongoModels.PointOfCareConfiguration.BeaconIdList*
- uid: adas_core.Domain.Models.MongoModels.PointOfCareConfiguration.CameraIdList
  commentId: P:adas_core.Domain.Models.MongoModels.PointOfCareConfiguration.CameraIdList
  id: CameraIdList
  parent: adas_core.Domain.Models.MongoModels.PointOfCareConfiguration
  langs:
  - csharp
  - vb
  name: CameraIdList
  nameWithType: PointOfCareConfiguration.CameraIdList
  fullName: adas_core.Domain.Models.MongoModels.PointOfCareConfiguration.CameraIdList
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/MongoModels/PointOfCare.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: CameraIdList
    path: ../../adas-core.Domain/Models/MongoModels/PointOfCare.cs
    startLine: 44
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.MongoModels
  syntax:
    content: public List<ObjectId>? CameraIdList { get; set; }
    parameters: []
    return:
      type: System.Collections.Generic.List{MongoDB.Bson.ObjectId}
    content.vb: Public Property CameraIdList As List(Of ObjectId)
  overload: adas_core.Domain.Models.MongoModels.PointOfCareConfiguration.CameraIdList*
- uid: adas_core.Domain.Models.MongoModels.PointOfCareConfiguration.RelayIdList
  commentId: P:adas_core.Domain.Models.MongoModels.PointOfCareConfiguration.RelayIdList
  id: RelayIdList
  parent: adas_core.Domain.Models.MongoModels.PointOfCareConfiguration
  langs:
  - csharp
  - vb
  name: RelayIdList
  nameWithType: PointOfCareConfiguration.RelayIdList
  fullName: adas_core.Domain.Models.MongoModels.PointOfCareConfiguration.RelayIdList
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/MongoModels/PointOfCare.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: RelayIdList
    path: ../../adas-core.Domain/Models/MongoModels/PointOfCare.cs
    startLine: 45
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.MongoModels
  syntax:
    content: public List<ObjectId>? RelayIdList { get; set; }
    parameters: []
    return:
      type: System.Collections.Generic.List{MongoDB.Bson.ObjectId}
    content.vb: Public Property RelayIdList As List(Of ObjectId)
  overload: adas_core.Domain.Models.MongoModels.PointOfCareConfiguration.RelayIdList*
- uid: adas_core.Domain.Models.MongoModels.PointOfCareConfiguration.BeaconList
  commentId: P:adas_core.Domain.Models.MongoModels.PointOfCareConfiguration.BeaconList
  id: BeaconList
  parent: adas_core.Domain.Models.MongoModels.PointOfCareConfiguration
  langs:
  - csharp
  - vb
  name: BeaconList
  nameWithType: PointOfCareConfiguration.BeaconList
  fullName: adas_core.Domain.Models.MongoModels.PointOfCareConfiguration.BeaconList
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/MongoModels/PointOfCare.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: BeaconList
    path: ../../adas-core.Domain/Models/MongoModels/PointOfCare.cs
    startLine: 46
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.MongoModels
  syntax:
    content: public List<LightBeacon>? BeaconList { get; }
    parameters: []
    return:
      type: System.Collections.Generic.List{adas_core.Domain.Models.MongoModels.LightBeacon}
    content.vb: Public Property BeaconList As List(Of LightBeacon)
  overload: adas_core.Domain.Models.MongoModels.PointOfCareConfiguration.BeaconList*
- uid: adas_core.Domain.Models.MongoModels.PointOfCareConfiguration.CameraList
  commentId: P:adas_core.Domain.Models.MongoModels.PointOfCareConfiguration.CameraList
  id: CameraList
  parent: adas_core.Domain.Models.MongoModels.PointOfCareConfiguration
  langs:
  - csharp
  - vb
  name: CameraList
  nameWithType: PointOfCareConfiguration.CameraList
  fullName: adas_core.Domain.Models.MongoModels.PointOfCareConfiguration.CameraList
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/MongoModels/PointOfCare.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: CameraList
    path: ../../adas-core.Domain/Models/MongoModels/PointOfCare.cs
    startLine: 47
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.MongoModels
  syntax:
    content: public List<Camera>? CameraList { get; }
    parameters: []
    return:
      type: System.Collections.Generic.List{adas_core.Domain.Models.MongoModels.Camera}
    content.vb: Public Property CameraList As List(Of Camera)
  overload: adas_core.Domain.Models.MongoModels.PointOfCareConfiguration.CameraList*
- uid: adas_core.Domain.Models.MongoModels.PointOfCareConfiguration.RelayList
  commentId: P:adas_core.Domain.Models.MongoModels.PointOfCareConfiguration.RelayList
  id: RelayList
  parent: adas_core.Domain.Models.MongoModels.PointOfCareConfiguration
  langs:
  - csharp
  - vb
  name: RelayList
  nameWithType: PointOfCareConfiguration.RelayList
  fullName: adas_core.Domain.Models.MongoModels.PointOfCareConfiguration.RelayList
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/MongoModels/PointOfCare.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: RelayList
    path: ../../adas-core.Domain/Models/MongoModels/PointOfCare.cs
    startLine: 48
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.MongoModels
  syntax:
    content: public List<Relay>? RelayList { get; }
    parameters: []
    return:
      type: System.Collections.Generic.List{adas_core.Domain.Models.MongoModels.Relay}
    content.vb: Public Property RelayList As List(Of Relay)
  overload: adas_core.Domain.Models.MongoModels.PointOfCareConfiguration.RelayList*
- uid: adas_core.Domain.Models.MongoModels.PointOfCareConfiguration.Type
  commentId: P:adas_core.Domain.Models.MongoModels.PointOfCareConfiguration.Type
  id: Type
  parent: adas_core.Domain.Models.MongoModels.PointOfCareConfiguration
  langs:
  - csharp
  - vb
  name: Type
  nameWithType: PointOfCareConfiguration.Type
  fullName: adas_core.Domain.Models.MongoModels.PointOfCareConfiguration.Type
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/MongoModels/PointOfCare.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: Type
    path: ../../adas-core.Domain/Models/MongoModels/PointOfCare.cs
    startLine: 49
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.MongoModels
  syntax:
    content: public string? Type { get; set; }
    parameters: []
    return:
      type: System.String
    content.vb: Public Property Type As String
  overload: adas_core.Domain.Models.MongoModels.PointOfCareConfiguration.Type*
- uid: adas_core.Domain.Models.MongoModels.PointOfCareConfiguration.Id
  commentId: P:adas_core.Domain.Models.MongoModels.PointOfCareConfiguration.Id
  id: Id
  parent: adas_core.Domain.Models.MongoModels.PointOfCareConfiguration
  langs:
  - csharp
  - vb
  name: Id
  nameWithType: PointOfCareConfiguration.Id
  fullName: adas_core.Domain.Models.MongoModels.PointOfCareConfiguration.Id
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/MongoModels/PointOfCare.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: Id
    path: ../../adas-core.Domain/Models/MongoModels/PointOfCare.cs
    startLine: 53
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.MongoModels
  syntax:
    content: public int? Id { get; set; }
    parameters: []
    return:
      type: System.Nullable{System.Int32}
    content.vb: Public Property Id As Integer?
  overload: adas_core.Domain.Models.MongoModels.PointOfCareConfiguration.Id*
references:
- uid: adas_core.Domain.Models.MongoModels
  commentId: N:adas_core.Domain.Models.MongoModels
  href: adas_core.html
  name: adas_core.Domain.Models.MongoModels
  nameWithType: adas_core.Domain.Models.MongoModels
  fullName: adas_core.Domain.Models.MongoModels
  spec.csharp:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.Domain
    name: Domain
    href: adas_core.Domain.html
  - name: .
  - uid: adas_core.Domain.Models
    name: Models
    href: adas_core.Domain.Models.html
  - name: .
  - uid: adas_core.Domain.Models.MongoModels
    name: MongoModels
    href: adas_core.Domain.Models.MongoModels.html
  spec.vb:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.Domain
    name: Domain
    href: adas_core.Domain.html
  - name: .
  - uid: adas_core.Domain.Models
    name: Models
    href: adas_core.Domain.Models.html
  - name: .
  - uid: adas_core.Domain.Models.MongoModels
    name: MongoModels
    href: adas_core.Domain.Models.MongoModels.html
- uid: System.Object
  commentId: T:System.Object
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object
  name: object
  nameWithType: object
  fullName: object
  nameWithType.vb: Object
  fullName.vb: Object
  name.vb: Object
- uid: System.Object.Equals(System.Object)
  commentId: M:System.Object.Equals(System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  name: Equals(object)
  nameWithType: object.Equals(object)
  fullName: object.Equals(object)
  nameWithType.vb: Object.Equals(Object)
  fullName.vb: Object.Equals(Object)
  name.vb: Equals(Object)
  spec.csharp:
  - uid: System.Object.Equals(System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.Equals(System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.Equals(System.Object,System.Object)
  commentId: M:System.Object.Equals(System.Object,System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  name: Equals(object, object)
  nameWithType: object.Equals(object, object)
  fullName: object.Equals(object, object)
  nameWithType.vb: Object.Equals(Object, Object)
  fullName.vb: Object.Equals(Object, Object)
  name.vb: Equals(Object, Object)
  spec.csharp:
  - uid: System.Object.Equals(System.Object,System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.Equals(System.Object,System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.GetHashCode
  commentId: M:System.Object.GetHashCode
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  name: GetHashCode()
  nameWithType: object.GetHashCode()
  fullName: object.GetHashCode()
  nameWithType.vb: Object.GetHashCode()
  fullName.vb: Object.GetHashCode()
  spec.csharp:
  - uid: System.Object.GetHashCode
    name: GetHashCode
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.GetHashCode
    name: GetHashCode
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  - name: (
  - name: )
- uid: System.Object.GetType
  commentId: M:System.Object.GetType
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  name: GetType()
  nameWithType: object.GetType()
  fullName: object.GetType()
  nameWithType.vb: Object.GetType()
  fullName.vb: Object.GetType()
  spec.csharp:
  - uid: System.Object.GetType
    name: GetType
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.GetType
    name: GetType
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  - name: (
  - name: )
- uid: System.Object.MemberwiseClone
  commentId: M:System.Object.MemberwiseClone
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone
  name: MemberwiseClone()
  nameWithType: object.MemberwiseClone()
  fullName: object.MemberwiseClone()
  nameWithType.vb: Object.MemberwiseClone()
  fullName.vb: Object.MemberwiseClone()
  spec.csharp:
  - uid: System.Object.MemberwiseClone
    name: MemberwiseClone
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.MemberwiseClone
    name: MemberwiseClone
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone
  - name: (
  - name: )
- uid: System.Object.ReferenceEquals(System.Object,System.Object)
  commentId: M:System.Object.ReferenceEquals(System.Object,System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  name: ReferenceEquals(object, object)
  nameWithType: object.ReferenceEquals(object, object)
  fullName: object.ReferenceEquals(object, object)
  nameWithType.vb: Object.ReferenceEquals(Object, Object)
  fullName.vb: Object.ReferenceEquals(Object, Object)
  name.vb: ReferenceEquals(Object, Object)
  spec.csharp:
  - uid: System.Object.ReferenceEquals(System.Object,System.Object)
    name: ReferenceEquals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.ReferenceEquals(System.Object,System.Object)
    name: ReferenceEquals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.ToString
  commentId: M:System.Object.ToString
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  name: ToString()
  nameWithType: object.ToString()
  fullName: object.ToString()
  nameWithType.vb: Object.ToString()
  fullName.vb: Object.ToString()
  spec.csharp:
  - uid: System.Object.ToString
    name: ToString
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.ToString
    name: ToString
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  - name: (
  - name: )
- uid: System.Object.adas_core.Domain.Utils.NumberUtils.IsNumber
  commentId: M:adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
  parent: adas_core.Domain.Utils.NumberUtils
  definition: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
  href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  name: IsNumber(object)
  nameWithType: NumberUtils.IsNumber(object)
  fullName: adas_core.Domain.Utils.NumberUtils.IsNumber(object)
  nameWithType.vb: NumberUtils.IsNumber(Object)
  fullName.vb: adas_core.Domain.Utils.NumberUtils.IsNumber(Object)
  name.vb: IsNumber(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
    name: IsNumber
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
    name: IsNumber
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.adas_core.Domain.Utils.NumberUtils.ToDouble
  commentId: M:adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
  parent: adas_core.Domain.Utils.NumberUtils
  definition: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
  href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  name: ToDouble(object)
  nameWithType: NumberUtils.ToDouble(object)
  fullName: adas_core.Domain.Utils.NumberUtils.ToDouble(object)
  nameWithType.vb: NumberUtils.ToDouble(Object)
  fullName.vb: adas_core.Domain.Utils.NumberUtils.ToDouble(Object)
  name.vb: ToDouble(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
    name: ToDouble
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
    name: ToDouble
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.adas_core.Domain.Utils.ObjectUtils.ToStr
  commentId: M:adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
  parent: adas_core.Domain.Utils.ObjectUtils
  definition: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
  href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  name: ToStr(object)
  nameWithType: ObjectUtils.ToStr(object)
  fullName: adas_core.Domain.Utils.ObjectUtils.ToStr(object)
  nameWithType.vb: ObjectUtils.ToStr(Object)
  fullName.vb: adas_core.Domain.Utils.ObjectUtils.ToStr(Object)
  name.vb: ToStr(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
    name: ToStr
    href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
    name: ToStr
    href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System
  commentId: N:System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system
  name: System
  nameWithType: System
  fullName: System
- uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
  commentId: M:adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
  isExternal: true
  href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  name: IsNumber(object)
  nameWithType: NumberUtils.IsNumber(object)
  fullName: adas_core.Domain.Utils.NumberUtils.IsNumber(object)
  nameWithType.vb: NumberUtils.IsNumber(Object)
  fullName.vb: adas_core.Domain.Utils.NumberUtils.IsNumber(Object)
  name.vb: IsNumber(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
    name: IsNumber
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
    name: IsNumber
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: adas_core.Domain.Utils.NumberUtils
  commentId: T:adas_core.Domain.Utils.NumberUtils
  parent: adas_core.Domain.Utils
  href: adas_core.Domain.Utils.NumberUtils.html
  name: NumberUtils
  nameWithType: NumberUtils
  fullName: adas_core.Domain.Utils.NumberUtils
- uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
  commentId: M:adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
  isExternal: true
  href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  name: ToDouble(object)
  nameWithType: NumberUtils.ToDouble(object)
  fullName: adas_core.Domain.Utils.NumberUtils.ToDouble(object)
  nameWithType.vb: NumberUtils.ToDouble(Object)
  fullName.vb: adas_core.Domain.Utils.NumberUtils.ToDouble(Object)
  name.vb: ToDouble(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
    name: ToDouble
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
    name: ToDouble
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
  commentId: M:adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
  isExternal: true
  href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  name: ToStr(object)
  nameWithType: ObjectUtils.ToStr(object)
  fullName: adas_core.Domain.Utils.ObjectUtils.ToStr(object)
  nameWithType.vb: ObjectUtils.ToStr(Object)
  fullName.vb: adas_core.Domain.Utils.ObjectUtils.ToStr(Object)
  name.vb: ToStr(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
    name: ToStr
    href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
    name: ToStr
    href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: adas_core.Domain.Utils.ObjectUtils
  commentId: T:adas_core.Domain.Utils.ObjectUtils
  parent: adas_core.Domain.Utils
  href: adas_core.Domain.Utils.ObjectUtils.html
  name: ObjectUtils
  nameWithType: ObjectUtils
  fullName: adas_core.Domain.Utils.ObjectUtils
- uid: adas_core.Domain.Utils
  commentId: N:adas_core.Domain.Utils
  href: adas_core.html
  name: adas_core.Domain.Utils
  nameWithType: adas_core.Domain.Utils
  fullName: adas_core.Domain.Utils
  spec.csharp:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.Domain
    name: Domain
    href: adas_core.Domain.html
  - name: .
  - uid: adas_core.Domain.Utils
    name: Utils
    href: adas_core.Domain.Utils.html
  spec.vb:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.Domain
    name: Domain
    href: adas_core.Domain.html
  - name: .
  - uid: adas_core.Domain.Utils
    name: Utils
    href: adas_core.Domain.Utils.html
- uid: adas_core.Domain.Models.MongoModels.PointOfCareConfiguration.BeaconIdList*
  commentId: Overload:adas_core.Domain.Models.MongoModels.PointOfCareConfiguration.BeaconIdList
  href: adas_core.Domain.Models.MongoModels.PointOfCareConfiguration.html#adas_core_Domain_Models_MongoModels_PointOfCareConfiguration_BeaconIdList
  name: BeaconIdList
  nameWithType: PointOfCareConfiguration.BeaconIdList
  fullName: adas_core.Domain.Models.MongoModels.PointOfCareConfiguration.BeaconIdList
- uid: System.Collections.Generic.List{MongoDB.Bson.ObjectId}
  commentId: T:System.Collections.Generic.List{MongoDB.Bson.ObjectId}
  parent: System.Collections.Generic
  definition: System.Collections.Generic.List`1
  href: https://learn.microsoft.com/dotnet/api/system.collections.generic.list-1
  name: List<ObjectId>
  nameWithType: List<ObjectId>
  fullName: System.Collections.Generic.List<MongoDB.Bson.ObjectId>
  nameWithType.vb: List(Of ObjectId)
  fullName.vb: System.Collections.Generic.List(Of MongoDB.Bson.ObjectId)
  name.vb: List(Of ObjectId)
  spec.csharp:
  - uid: System.Collections.Generic.List`1
    name: List
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.list-1
  - name: <
  - uid: MongoDB.Bson.ObjectId
    name: ObjectId
    isExternal: true
  - name: '>'
  spec.vb:
  - uid: System.Collections.Generic.List`1
    name: List
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.list-1
  - name: (
  - name: Of
  - name: " "
  - uid: MongoDB.Bson.ObjectId
    name: ObjectId
    isExternal: true
  - name: )
- uid: System.Collections.Generic.List`1
  commentId: T:System.Collections.Generic.List`1
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.collections.generic.list-1
  name: List<T>
  nameWithType: List<T>
  fullName: System.Collections.Generic.List<T>
  nameWithType.vb: List(Of T)
  fullName.vb: System.Collections.Generic.List(Of T)
  name.vb: List(Of T)
  spec.csharp:
  - uid: System.Collections.Generic.List`1
    name: List
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.list-1
  - name: <
  - name: T
  - name: '>'
  spec.vb:
  - uid: System.Collections.Generic.List`1
    name: List
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.list-1
  - name: (
  - name: Of
  - name: " "
  - name: T
  - name: )
- uid: System.Collections.Generic
  commentId: N:System.Collections.Generic
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system
  name: System.Collections.Generic
  nameWithType: System.Collections.Generic
  fullName: System.Collections.Generic
  spec.csharp:
  - uid: System
    name: System
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system
  - name: .
  - uid: System.Collections
    name: Collections
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections
  - name: .
  - uid: System.Collections.Generic
    name: Generic
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic
  spec.vb:
  - uid: System
    name: System
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system
  - name: .
  - uid: System.Collections
    name: Collections
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections
  - name: .
  - uid: System.Collections.Generic
    name: Generic
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic
- uid: adas_core.Domain.Models.MongoModels.PointOfCareConfiguration.CameraIdList*
  commentId: Overload:adas_core.Domain.Models.MongoModels.PointOfCareConfiguration.CameraIdList
  href: adas_core.Domain.Models.MongoModels.PointOfCareConfiguration.html#adas_core_Domain_Models_MongoModels_PointOfCareConfiguration_CameraIdList
  name: CameraIdList
  nameWithType: PointOfCareConfiguration.CameraIdList
  fullName: adas_core.Domain.Models.MongoModels.PointOfCareConfiguration.CameraIdList
- uid: adas_core.Domain.Models.MongoModels.PointOfCareConfiguration.RelayIdList*
  commentId: Overload:adas_core.Domain.Models.MongoModels.PointOfCareConfiguration.RelayIdList
  href: adas_core.Domain.Models.MongoModels.PointOfCareConfiguration.html#adas_core_Domain_Models_MongoModels_PointOfCareConfiguration_RelayIdList
  name: RelayIdList
  nameWithType: PointOfCareConfiguration.RelayIdList
  fullName: adas_core.Domain.Models.MongoModels.PointOfCareConfiguration.RelayIdList
- uid: adas_core.Domain.Models.MongoModels.PointOfCareConfiguration.BeaconList*
  commentId: Overload:adas_core.Domain.Models.MongoModels.PointOfCareConfiguration.BeaconList
  href: adas_core.Domain.Models.MongoModels.PointOfCareConfiguration.html#adas_core_Domain_Models_MongoModels_PointOfCareConfiguration_BeaconList
  name: BeaconList
  nameWithType: PointOfCareConfiguration.BeaconList
  fullName: adas_core.Domain.Models.MongoModels.PointOfCareConfiguration.BeaconList
- uid: System.Collections.Generic.List{adas_core.Domain.Models.MongoModels.LightBeacon}
  commentId: T:System.Collections.Generic.List{adas_core.Domain.Models.MongoModels.LightBeacon}
  parent: System.Collections.Generic
  definition: System.Collections.Generic.List`1
  href: https://learn.microsoft.com/dotnet/api/system.collections.generic.list-1
  name: List<LightBeacon>
  nameWithType: List<LightBeacon>
  fullName: System.Collections.Generic.List<adas_core.Domain.Models.MongoModels.LightBeacon>
  nameWithType.vb: List(Of LightBeacon)
  fullName.vb: System.Collections.Generic.List(Of adas_core.Domain.Models.MongoModels.LightBeacon)
  name.vb: List(Of LightBeacon)
  spec.csharp:
  - uid: System.Collections.Generic.List`1
    name: List
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.list-1
  - name: <
  - uid: adas_core.Domain.Models.MongoModels.LightBeacon
    name: LightBeacon
    href: adas_core.Domain.Models.MongoModels.LightBeacon.html
  - name: '>'
  spec.vb:
  - uid: System.Collections.Generic.List`1
    name: List
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.list-1
  - name: (
  - name: Of
  - name: " "
  - uid: adas_core.Domain.Models.MongoModels.LightBeacon
    name: LightBeacon
    href: adas_core.Domain.Models.MongoModels.LightBeacon.html
  - name: )
- uid: adas_core.Domain.Models.MongoModels.PointOfCareConfiguration.CameraList*
  commentId: Overload:adas_core.Domain.Models.MongoModels.PointOfCareConfiguration.CameraList
  href: adas_core.Domain.Models.MongoModels.PointOfCareConfiguration.html#adas_core_Domain_Models_MongoModels_PointOfCareConfiguration_CameraList
  name: CameraList
  nameWithType: PointOfCareConfiguration.CameraList
  fullName: adas_core.Domain.Models.MongoModels.PointOfCareConfiguration.CameraList
- uid: System.Collections.Generic.List{adas_core.Domain.Models.MongoModels.Camera}
  commentId: T:System.Collections.Generic.List{adas_core.Domain.Models.MongoModels.Camera}
  parent: System.Collections.Generic
  definition: System.Collections.Generic.List`1
  href: https://learn.microsoft.com/dotnet/api/system.collections.generic.list-1
  name: List<Camera>
  nameWithType: List<Camera>
  fullName: System.Collections.Generic.List<adas_core.Domain.Models.MongoModels.Camera>
  nameWithType.vb: List(Of Camera)
  fullName.vb: System.Collections.Generic.List(Of adas_core.Domain.Models.MongoModels.Camera)
  name.vb: List(Of Camera)
  spec.csharp:
  - uid: System.Collections.Generic.List`1
    name: List
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.list-1
  - name: <
  - uid: adas_core.Domain.Models.MongoModels.Camera
    name: Camera
    href: adas_core.Domain.Models.MongoModels.Camera.html
  - name: '>'
  spec.vb:
  - uid: System.Collections.Generic.List`1
    name: List
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.list-1
  - name: (
  - name: Of
  - name: " "
  - uid: adas_core.Domain.Models.MongoModels.Camera
    name: Camera
    href: adas_core.Domain.Models.MongoModels.Camera.html
  - name: )
- uid: adas_core.Domain.Models.MongoModels.PointOfCareConfiguration.RelayList*
  commentId: Overload:adas_core.Domain.Models.MongoModels.PointOfCareConfiguration.RelayList
  href: adas_core.Domain.Models.MongoModels.PointOfCareConfiguration.html#adas_core_Domain_Models_MongoModels_PointOfCareConfiguration_RelayList
  name: RelayList
  nameWithType: PointOfCareConfiguration.RelayList
  fullName: adas_core.Domain.Models.MongoModels.PointOfCareConfiguration.RelayList
- uid: System.Collections.Generic.List{adas_core.Domain.Models.MongoModels.Relay}
  commentId: T:System.Collections.Generic.List{adas_core.Domain.Models.MongoModels.Relay}
  parent: System.Collections.Generic
  definition: System.Collections.Generic.List`1
  href: https://learn.microsoft.com/dotnet/api/system.collections.generic.list-1
  name: List<Relay>
  nameWithType: List<Relay>
  fullName: System.Collections.Generic.List<adas_core.Domain.Models.MongoModels.Relay>
  nameWithType.vb: List(Of Relay)
  fullName.vb: System.Collections.Generic.List(Of adas_core.Domain.Models.MongoModels.Relay)
  name.vb: List(Of Relay)
  spec.csharp:
  - uid: System.Collections.Generic.List`1
    name: List
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.list-1
  - name: <
  - uid: adas_core.Domain.Models.MongoModels.Relay
    name: Relay
    href: adas_core.Domain.Models.MongoModels.Relay.html
  - name: '>'
  spec.vb:
  - uid: System.Collections.Generic.List`1
    name: List
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.list-1
  - name: (
  - name: Of
  - name: " "
  - uid: adas_core.Domain.Models.MongoModels.Relay
    name: Relay
    href: adas_core.Domain.Models.MongoModels.Relay.html
  - name: )
- uid: adas_core.Domain.Models.MongoModels.PointOfCareConfiguration.Type*
  commentId: Overload:adas_core.Domain.Models.MongoModels.PointOfCareConfiguration.Type
  href: adas_core.Domain.Models.MongoModels.PointOfCareConfiguration.html#adas_core_Domain_Models_MongoModels_PointOfCareConfiguration_Type
  name: Type
  nameWithType: PointOfCareConfiguration.Type
  fullName: adas_core.Domain.Models.MongoModels.PointOfCareConfiguration.Type
- uid: System.String
  commentId: T:System.String
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.string
  name: string
  nameWithType: string
  fullName: string
  nameWithType.vb: String
  fullName.vb: String
  name.vb: String
- uid: adas_core.Domain.Models.MongoModels.PointOfCareConfiguration.Id*
  commentId: Overload:adas_core.Domain.Models.MongoModels.PointOfCareConfiguration.Id
  href: adas_core.Domain.Models.MongoModels.PointOfCareConfiguration.html#adas_core_Domain_Models_MongoModels_PointOfCareConfiguration_Id
  name: Id
  nameWithType: PointOfCareConfiguration.Id
  fullName: adas_core.Domain.Models.MongoModels.PointOfCareConfiguration.Id
- uid: System.Nullable{System.Int32}
  commentId: T:System.Nullable{System.Int32}
  parent: System
  definition: System.Nullable`1
  href: https://learn.microsoft.com/dotnet/api/system.int32
  name: int?
  nameWithType: int?
  fullName: int?
  nameWithType.vb: Integer?
  fullName.vb: Integer?
  name.vb: Integer?
  spec.csharp:
  - uid: System.Int32
    name: int
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.int32
  - name: '?'
  spec.vb:
  - uid: System.Int32
    name: Integer
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.int32
  - name: '?'
- uid: System.Nullable`1
  commentId: T:System.Nullable`1
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.nullable-1
  name: Nullable<T>
  nameWithType: Nullable<T>
  fullName: System.Nullable<T>
  nameWithType.vb: Nullable(Of T)
  fullName.vb: System.Nullable(Of T)
  name.vb: Nullable(Of T)
  spec.csharp:
  - uid: System.Nullable`1
    name: Nullable
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.nullable-1
  - name: <
  - name: T
  - name: '>'
  spec.vb:
  - uid: System.Nullable`1
    name: Nullable
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.nullable-1
  - name: (
  - name: Of
  - name: " "
  - name: T
  - name: )
